org.jboss.netty.handler.timeout

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.channel.ChannelException
        - - org.jboss.netty.handler.timeout.TimeoutException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ReadTimeoutException, WriteTimeoutException

      public class TimeoutException
      extends ChannelException

  A `TimeoutException` when no data was either read or written within a certain period of time.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutException()` Creates a new instance.
    `TimeoutException(String message)` Creates a new instance.
    `TimeoutException(String message, Throwable cause)` Creates a new instance.
    `TimeoutException(Throwable cause)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeoutException

          public TimeoutException()

      Creates a new instance.

    - #### TimeoutException

          public TimeoutException(String message,
                          Throwable cause)

      Creates a new instance.

    - #### TimeoutException

          public TimeoutException(String message)

      Creates a new instance.

    - #### TimeoutException

          public TimeoutException(Throwable cause)

      Creates a new instance.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.